import type { WebpackConfigContext } from 'next/dist/server/config-shared';
import type { Configuration } from 'webpack';
export default class BabelWebpackConfig {
    private readonly _overrides;
    private readonly _webpackConfigContext;
    private readonly _webpackConfig;
    constructor(webpackConfig: Readonly<Configuration>, webpackConfigContext: Readonly<WebpackConfigContext>, babelOptions: Readonly<Record<string, unknown>>);
    private get _moduleOptions();
    toJSON(): Configuration;
    private _mapModuleOptionsToBabelModuleOptions;
    private _mapNextSwcLoaderOptionsToBabelLoaderOptions;
    private _mapNextSwcLoaderToBabelLoader;
    private _mapNextSwcRuleToBabelRule;
    private _mapOneOfRuleToBabelOneOfRule;
    private _mapRuleToBabelRule;
    private _mapRulesToBabelRules;
    private _mergeOverrides;
    private _overrideBabelLoaderOptions;
}
